UniversalSender (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.axis.extensions.UniversalSender class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.axis.extensions
Class UniversalSender

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.mule.transport.soap.axis.extensions.UniversalSender

All Implemented Interfaces:
  Serializable, org.apache.axis.Handler

    public class UniversalSender

extends org.apache.axis.handlers.BasicHandler

An Axis handler that will dispatch the SOAP event via a Mule endpoint

See Also:
  Serialized Form

Field Summary
`protected Map` | `endpointsCache`
`protected Log` | `logger` logger used by this class

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`UniversalSender()`

Method Summary
`void` | `invoke(org.apache.axis.MessageContext msgContext)`
`protected OutboundEndpoint` | `lookupEndpoint(String uri)`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

  logger used by this class

### endpointsCache

    protected Map endpointsCache

Constructor Detail

### UniversalSender

    public UniversalSender()

Method Detail

### invoke

    public void invoke(org.apache.axis.MessageContext msgContext)
                throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### lookupEndpoint

    protected OutboundEndpoint lookupEndpoint(String uri)
                                       throws MuleException

  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.